> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/webhooks-v2/get-all-webhooks",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get all webhooks

> Get all webhooks (paginated).




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /webhooks
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /webhooks:
    get:
      tags:
        - Webhooks V2
      summary: Get all webhooks
      description: |
        Get all webhooks (paginated).
      operationId: getWebhooks
      parameters:
        - name: order
          required: false
          in: query
          description: ASC / DESC ordering (default DESC)
          schema:
            default: DESC
            example: ASC
            enum:
              - ASC
              - DESC
            type: string
        - in: query
          name: pageCursor
          required: false
          description: Cursor of the required page
          schema:
            type: string
        - name: pageSize
          required: false
          in: query
          description: Maximum number of items in the page
          schema:
            minimum: 1
            maximum: 100
            default: 10
            example: 10
            type: number
      responses:
        '200':
          description: A paginated response containing WebhookDto objects
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookPaginatedResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<WebhookPaginatedResponse>> =
            fireblocks.webhooksV2.getWebhooks(webhooksV2ApiGetWebhooksRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<WebhookPaginatedResponse>> response =
            fireblocks.webhooksV2().getWebhooks(order, pageCursor, pageSize);
        - lang: Python
          source: >-
            response = fireblocks.webhooks_v2.get_webhooks(order, page_cursor,
            page_size);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    WebhookPaginatedResponse:
      type: object
      properties:
        data:
          type: array
          description: The data of the current page
          items:
            $ref: '#/components/schemas/Webhook'
        next:
          type: string
          description: The ID of the next page
          example: eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9
          nullable: true
      required:
        - data
    Webhook:
      type: object
      properties:
        id:
          type: string
          description: The id of the webhook
          example: 123e4567-e89b-12d3-a456-426614174000
          format: uuid
        url:
          type: string
          description: >-
            The url of the webhook where notifications will be sent. Must be a
            valid URL and https.
          example: https://example.com/webhook
          minLength: 1
        description:
          type: string
          description: description of the webhook of what it is used for
          example: This webhook is used for transactions notifications
          minLength: 1
        events:
          type: array
          description: The events that the webhook will be subscribed to
          example:
            - transaction.created
            - transaction.status.updated
          items:
            $ref: '#/components/schemas/WebhookEvent'
        status:
          enum:
            - DISABLED
            - ENABLED
            - SUSPENDED
          type: string
          description: The status of the webhook
          example: ENABLED
        createdAt:
          type: integer
          format: int64
          description: The date and time the webhook was created in milliseconds
          example: 1625126400000
        updatedAt:
          type: integer
          format: int64
          description: The date and time the webhook was last updated in milliseconds
          example: 1625126400000
      required:
        - id
        - url
        - events
        - status
        - createdAt
        - updatedAt
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
    WebhookEvent:
      type: string
      enum:
        - transaction.created
        - transaction.status.updated
        - transaction.approval_status.updated
        - transaction.network_records.processing_completed
        - external_wallet.asset.added
        - external_wallet.asset.removed
        - internal_wallet.asset.added
        - internal_wallet.asset.removed
        - contract_wallet.asset.added
        - contract_wallet.asset.removed
        - vault_account.created
        - vault_account.asset.added
        - vault_account.asset.balance_updated
        - embedded_wallet.status.updated
        - embedded_wallet.created
        - embedded_wallet.asset.balance_updated
        - embedded_wallet.asset.added
        - embedded_wallet.account.created
        - embedded_wallet.device.added
        - onchain_data.updated
        - connection.added
        - connection.removed
        - connection.request.waiting_peer_approval
        - connection.request.rejected_by_peer
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````